# Class PredictMedicationObservation

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Represents a prediction result or data model for medication observation.

    public class PredictMedicationObservation

Inheritance
  object
  PredictMedicationObservation

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### DegreeSimilarity

    public double DegreeSimilarity { get; set; }

#### Property Value

double

### MedicineText

    public string MedicineText { get; set; }

#### Property Value

string